/*
 *  Copyright (c) 1993-2002 Easysoft Ltd. All rights reserved.
 *
 *  $Id: config.h,v 1.2 2002/07/12 14:20:20 martin Exp $
 *
 *  $Log: config.h,v $
 *  Revision 1.2  2002/07/12 14:20:20  martin
 *  Add defn for HAS_SIGNALS.
 *
 *  Revision 1.1  2002/04/12 09:43:00  martin
 *  Initial revision
 *
 */

#ifndef INCLUDED_CONFIG_H
# define INCLUDED_CONFIG_H

/* How to close a socket */
#ifdef WIN32
# define CLOSESOCKET(a) closesocket(a)
#else
# define CLOSESOCKET(a) close(a)
# define HAS_SIGNALS 1
#endif

/* How to get some network error codes */
#ifdef WIN32
# define WLASTERROR WSAGetLastError()
#else
# define WLASTERROR h_errno
#endif

/*  The default XML-ODBC server port accepting data requests */
#define DEFAULT_PORT_STRING "8895"


#endif /* INCLUDED_CONFIG_H */
